diff -uNr color-theme-6.6.0/Makefile color-theme-6.6.0_/Makefile
--- color-theme-6.6.0/Makefile	2006-05-28 16:23:31.000000000 +0300
+++ color-theme-6.6.0_/Makefile	2012-03-20 17:44:11.072562905 +0200
@@ -50,6 +50,11 @@
 	--eval '(setq load-path (cons "." load-path))' \
 	-f batch-byte-compile $<
 
+themes/%.elc: themes/%.el
+	@$(EMACS) $(OPTIONCOMPILE) \
+	--eval '(setq load-path (cons ".." load-path))' \
+	-f batch-byte-compile $<
+
 %.info: %.texi
 	@echo "No doc yet !"
 #	makeinfo $<
@@ -69,17 +74,17 @@
 	-rm -f $(MANUAL).info $(MANUAL).html $(TARGET) $(SPECIAL)
 
 install-info: $(MANUAL).info
-	[ -d $(INFODIR) ] || install -d $(INFODIR)
-	install -m 0644 $(MANUAL).info $(INFODIR)/$(MANUAL)
-	$(INSTALLINFO) $(INFODIR)/$(MANUAL)
+	[ -d $(DESTDIR)/$(INFODIR) ] || install -d $(DESTDIR)/$(INFODIR)
+	install -m 0644 $(MANUAL).info $(DESTDIR)/$(INFODIR)/$(MANUAL)
+	$(INSTALLINFO) $(DESTDIR)/$(INFODIR)/$(MANUAL)
 
 install-bin: lisp
-	install -d $(ELISPDIR)
-	install -d $(ELISPDIR)/themes
-	install -m 0644 $(ALLSOURCE) $(TARGET) $(ELISPDIR)
-	install -m 0644 $(THEMES_FILES) $(TARGET) $(ELISPDIR)/themes
+	install -d $(DESTDIR)/$(ELISPDIR)
+	install -d $(DESTDIR)/$(ELISPDIR)/themes
+	install -m 0644 $(ALLSOURCE) $(TARGET) $(DESTDIR)/$(ELISPDIR)
+	install -m 0644 $(THEMES_FILES) $(TARGET) $(DESTDIR)/$(ELISPDIR)/themes
 
-install: install-bin install-info
+install: install-bin
 
 ## DO NOT TOUCH THIS !
 ## HELPERS FOR MAINTAINER(S)
diff -uNr color-theme-6.6.0/Makefile.defs color-theme-6.6.0_/Makefile.defs
--- color-theme-6.6.0/Makefile.defs	2012-03-20 17:49:36.144588064 +0200
+++ color-theme-6.6.0_/Makefile.defs	2012-03-20 17:48:56.222585031 +0200
@@ -10,7 +10,7 @@
 # Installation options
 # PREFIX is only used here.
 PREFIX   = /usr/local
-ELISPDIR = $(PREFIX)/share/emacs/site-lisp/color-theme-el
+ELISPDIR = $(PREFIX)/share/emacs/site-lisp/
 INFODIR  = $(PREFIX)/info
 
 # Command to use to install the Info dir entry
